package common.entity.npc;

import common.rng.Random;
import common.world.World;

public class EntityTiefling extends EntityMobNPC {
	public EntityTiefling(World worldIn) {
		super(worldIn);
	}

//	public boolean isAggressive() {
//		return false;
//	}
//
//	public boolean isPeaceful() {
//		return false;
//	}

//	public boolean isAggressive(Class<? extends EntityNPC> clazz) {
//		return false;
//	}
//
//	public boolean isPeaceful(Class<? extends EntityNPC> clazz) {
//		return false;
//	}

//	public boolean canInfight(Alignment align) {
//		return false;
//	}
//
//	public boolean canMurder(Alignment align) {
//		return false;
//	}

	public boolean canUseMagic() {
		return true;
	}

	public int getBaseHealth(Random rand) {
		return rand.range(16, 28);
	}

//	public int getBaseEnergy(Random rand) {
//		return 0;
//	}

    public float getHeightDeviationMin() {
    	return -0.1f;
    }

    public float getHeightDeviationMax() {
    	return 0.4f;
    }
    
    public float getSpeciesBaseSize() {
    	return 2.0f;
    }

	public Alignment getNaturalAlign() {
		return rand.pick(Alignment.CHAOTIC_EVIL, Alignment.EVIL, Alignment.LAWFUL_EVIL, 
				Alignment.NEUTRAL, Alignment.LAWFUL, Alignment.CHAOTIC);
	}

	public boolean isImmuneToFire() {
		return true;
	}
    
	public int getColor() {
		return 0xff9494;
	}
    
    public boolean canSpawnInLiquid() {
    	return true;
    }
    
//    public boolean canAmbush(EntityLiving entity) {
//    	return true;
//    }

    protected void applyEntityAttributes() {
        super.applyEntityAttributes();
        this.setAttackDamageBase(3);
    }
}
